## node-es5-shim 4.5.12

=== Makefile ===
# Since we rely on paths relative to the makefile location, abort if make isn't being run from there.
$(if $(findstring /,$(MAKEFILE_LIST)),$(error Please only invoke this makefile from the directory it resides in))

	# The files that need updating when incrementing the version number.
VERSIONED_FILES := *.js *.json *.map README*


# Add the local npm packages' bin folder to the PATH, so that `make` can find them, when invoked directly.
# Note that rather than using `$(npm bin)` the 'node_modules/.bin' path component is hard-coded, so that invocation works even from an environment
# where npm is (temporarily) unavailable due to having deactivated an nvm instance loaded into the calling shell in order to avoid interference with tests.
export PATH := $(shell printf '%s' "$$PWD/node_modules/.bin:$$PATH")
UTILS := semver
# Make sure that all required utilities can be located.
UTIL_CHECK := $(or $(shell PATH="$(PATH)" which $(UTILS) >/dev/null && echo 'ok'),$(error Did you forget to run `npm install` after cloning the repo? At least one of the required supporting utilities not found: $(UTILS)))

# Default target (by virtue of being the first non '.'-prefixed in the file).
.PHONY: _no-target-specified
_no-target-specified:
	$(error Please specify the target to make - `make list` shows targets. Alternatively, use `npm test` to run the default tests; `npm run` shows all tests)

# Lists all targets defined in this makefile.
.PHONY: list
list:
	@$(MAKE) -pRrn : -f $(MAKEFILE_LIST) 2>/dev/null | awk -v RS= -F: '/^# File/,/^# Finished Make data base/ {if ($$1 !~ "^[#.]") {print $$1}}' | command grep -v -e '^[^[:alnum:]]' -e '^$@$$command ' | sort

# All-tests target: invokes the specified test suites for ALL shells defined in $(SHELLS).
.PHONY: test
test:
	@npm test

.PHONY: _ensure-tag
_ensure-tag:
ifndef TAG
	$(error Please invoke with `make TAG=<new-version> release`, where <new-version> is either an increment specifier (patch, minor, major, prepatch, preminor, premajor, prerelease), or an explicit major.minor.patch version number)
endif

CHANGELOG_ERROR = $(error No CHANGES specified)
.PHONY: _ensure-changelog
_ensure-changelog:
	@ (git status -sb --porcelain | command grep -E '^( M|[MA] ) CHANGES' > /dev/null) || (echo no CHANGES specified && exit 2)

# Ensures that the git workspace is clean.
.PHONY: _ensure-clean
_ensure-clean:
	@[ -z "$$((git status --porcelain --untracked-files=no || echo err) | command grep -v 'CHANGES')" ] || { echo "Workspace is not clean; please commit changes first." >&2; exit 2; }

# Makes a release; invoke with `make TAG=<versionOrIncrementSpec> release`.
.PHONY: release
release: _ensure-tag _ensure-changelog _ensure-clean
	@old_ver=`git describe --abbrev=0 --tags --match 'v[0-9]*.[0-9]*.[0-9]*'` || { echo "Failed to determine current version." >&2; exit 1; }; old_ver=$${old_ver#v}; \
	 new_ver=`echo "$(TAG)" | sed 's/^v//'`; new_ver=$${new_ver:-patch}; \
	 if printf "$$new_ver" | command grep -q '^[0-9]'; then \
	   semver "$$new_ver" >/dev/null || { echo 'Invalid version number specified: $(TAG) - must be major.minor.patch' >&2; exit 2; }; \
	   semver -r "> $$old_ver" "$$new_ver" >/dev/null || { echo 'Invalid version number specified: $(TAG) - must be HIGHER than current one.' >&2; exit 2; } \
	 else \
	   new_ver=`semver -i "$$new_ver" "$$old_ver"` || { echo 'Invalid version-increment specifier: $(TAG)' >&2; exit 2; } \
	 fi; \
	 printf "=== Bumping version **$$old_ver** to **$$new_ver** before committing and tagging:\n=== TYPE 'proceed' TO PROCEED, anything else to abort: " && read response && [ "$$response" = 'proceed' ] || { echo 'Aborted.' >&2; exit 2; };  \
     npm run minify; \
     replace "$$old_ver" "$$new_ver" -- $(VERSIONED_FILES) && \
     replace "blob/master" "blob/v$$new_ver" -- *.min.js && \
	 git commit -m "v$$new_ver" $(VERSIONED_FILES) CHANGES && \
	 git tag -a -m "v$$new_ver" "v$$new_ver"

## node-es5-shim 4.4.1

=== debian/changelog ===
node-es5-shim (4.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 02 Jan 2016 14:20:25 +0100

node-es5-shim (4.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 05 Nov 2015 08:12:11 +0100

node-es5-shim (4.1.14-1) unstable; urgency=low

  * Initial release (Closes: #776025)

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 15 Oct 2015 08:17:41 +0200

=== debian/control ===
Source: node-es5-shim
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Julien Puydt <julien.puydt@laposte.net>
Build-Depends: debhelper (>= 9), nodejs, uglifyjs
Standards-Version: 3.9.6
Homepage: http://github.com/es-shims/es5-shim/
Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-es5-shim.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-es5-shim.git

Package: node-es5-shim
Architecture: all
Depends: nodejs, ${misc:Depends}
Description: ECMAScript 5 compat. shims for old JavaScript engines (Node.js)
 The es5-shim library monkey-patches a JavaScript context to contain
 all ECMAScript 5 methods that can be faithfully emulated with a
 legacy JavaScript engine.
 .
 The es5-sham part tries to complete the picture as best as possible, but
 for those methods the result is not as close and mostly intends to avoid
 runtime errors : in many cases it might just silently fail.
 .
 Node.js is an event-based server-side JavaScript engine.

Package: libjs-es5-shim
Architecture: all
Depends: ${misc:Depends}
Description: ECMAScript 5 compat. shims for old JavaScript engines (library)
 The es5-shim library monkey-patches a JavaScript context to contain
 all ECMAScript 5 methods that can be faithfully emulated with a
 legacy JavaScript engine.
 .
 The es5-sham part tries to complete the picture as best as possible, but
 for those methods the result is not as close and mostly intends to avoid
 runtime errors : in many cases it might just silently fail.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	uglifyjs es5-sham.js > es5-sham.min.js
	uglifyjs es5-shim.js > es5-shim.min.js

override_dh_auto_clean:
	rm -f *.min.js

# Debian doesn't have what it takes to run the tests
override_dh_auto_test:

override_dh_auto_install:

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-es5-shim-$1.tar.gz/ \
 https://github.com/es-shims/es5-shim/tags .*/archive/v?([\d\.]+).tar.gz

## node-es5-shim 4.5.9

=== debian/changelog ===
node-es5-shim (4.5.9-1) unstable; urgency=medium

  * New upstream release.
  * Correct links in the node-es5-shim package.

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 18 Jun 2016 09:10:05 +0200

node-es5-shim (4.5.8-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version up.
  * Use https in Vcs-* fields.
  * Made node-es5-shim ship links to libjs-es5-shim.

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 14 May 2016 14:45:03 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Julien Puydt <julien.puydt@laposte.net>
 Build-Depends: debhelper (>= 9), nodejs, uglifyjs
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://github.com/es-shims/es5-shim/
-Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-es5-shim.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-es5-shim.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-es5-shim.git
 
 Package: node-es5-shim
 Architecture: all
-Depends: nodejs, ${misc:Depends}
+Depends: nodejs, ${misc:Depends}, libjs-es5-shim (= ${binary:Version})
 Description: ECMAScript 5 compat. shims for old JavaScript engines (Node.js)
  The es5-shim library monkey-patches a JavaScript context to contain
  all ECMAScript 5 methods that can be faithfully emulated with a

## node-es5-shim 4.5.10

=== debian/changelog ===
node-es5-shim (4.5.10-1) unstable; urgency=medium

  * New upstream release.
  * Update packaging:
    - Bump d/watch to version 4. 
    - Use https in d/copyright's format.
    - Update copyright dates in d/copyright.
    - Bump dh compat to 10. 
    - Put in section javascript.
    - Declare libjs-es5-shim Multi-Arch: foreign following hinter.
    - Bump std-ver to 4.1.2.0. 
    - Use https for upstream links. 

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 17 Dec 2017 13:00:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: node-es5-shim
-Section: web
+Section: javascript
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Julien Puydt <julien.puydt@laposte.net>
-Build-Depends: debhelper (>= 9), nodejs, uglifyjs
-Standards-Version: 3.9.8
-Homepage: http://github.com/es-shims/es5-shim/
+Build-Depends: debhelper (>= 10), nodejs, uglifyjs
+Standards-Version: 4.1.2.0
+Homepage: https://github.com/es-shims/es5-shim/
 Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-es5-shim.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-es5-shim.git
 
@@ -25,6 +25,7 @@
 
 Package: libjs-es5-shim
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: ECMAScript 5 compat. shims for old JavaScript engines (library)
  The es5-shim library monkey-patches a JavaScript context to contain

## node-es5-shim 4.5.12

=== debian/changelog ===
node-es5-shim (4.5.12-1) unstable; urgency=medium

  * New upstrem release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 28 Sep 2018 07:53:50 +0200

node-es5-shim (4.5.11-1) unstable; urgency=medium

  * New upstream release.
  * Refresh packaging:
    - Point Vcs-* fields to salsa.
    - Use my debian.org mail address.
    - Update copyright dates in d/copyright. 
    - Bump dh compat to 11. 
    - Bump std-ver to 4.2.1. 
    - Use whole words in description. 

 -- Julien Puydt <jpuydt@debian.org>  Tue, 04 Sep 2018 07:08:41 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: javascript
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Uploaders: Julien Puydt <julien.puydt@laposte.net>
-Build-Depends: debhelper (>= 10), nodejs, uglifyjs
-Standards-Version: 4.1.2.0
+Uploaders: Julien Puydt <jpuydt@debian.org>
+Build-Depends: debhelper (>= 11), nodejs, uglifyjs
+Standards-Version: 4.2.1
 Homepage: https://github.com/es-shims/es5-shim/
-Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-es5-shim.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-es5-shim.git
+Vcs-Git: https://salsa.debian.org/js-team/node-es5-shim.git
+Vcs-Browser: https://salsa.debian.org/js-team/node-es5-shim
 
 Package: node-es5-shim
 Architecture: all
 Depends: nodejs, ${misc:Depends}, libjs-es5-shim (= ${binary:Version})
-Description: ECMAScript 5 compat. shims for old JavaScript engines (Node.js)
+Description: ECMAScript 5 compatibility shims for old JavaScript engines (Node.js)
  The es5-shim library monkey-patches a JavaScript context to contain
  all ECMAScript 5 methods that can be faithfully emulated with a
  legacy JavaScript engine.
@@ -27,7 +27,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Description: ECMAScript 5 compat. shims for old JavaScript engines (library)
+Description: ECMAScript 5 compatibility shims for old JavaScript engines (library)
  The es5-shim library monkey-patches a JavaScript context to contain
  all ECMAScript 5 methods that can be faithfully emulated with a
  legacy JavaScript engine.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,4 @@
 #!/usr/bin/make -f
-
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
 
 %:
 	dh $@

## node-es5-shim 4.5.13

=== debian/changelog ===
node-es5-shim (4.5.13-2) unstable; urgency=medium

  * Bump dh compat to 12 and drop d/compat.
  * Bump std-ver to 4.4.0.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 27 Jul 2019 18:19:19 +0200

node-es5-shim (4.5.13-1) unstable; urgency=medium

  * New upstream release.
  * Bump std-ver to 4.3.0.
  * Mark node-es5-shim as M-A: foreign following hinter.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 14 Apr 2019 00:20:33 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
-Build-Depends: debhelper (>= 11), nodejs, uglifyjs
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12), nodejs, uglifyjs
+Standards-Version: 4.4.0
 Homepage: https://github.com/es-shims/es5-shim/
 Vcs-Git: https://salsa.debian.org/js-team/node-es5-shim.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-es5-shim
 
 Package: node-es5-shim
 Architecture: all
+Multi-Arch: foreign
 Depends: nodejs, ${misc:Depends}, libjs-es5-shim (= ${binary:Version})
 Description: ECMAScript 5 compatibility shims for old JavaScript engines (Node.js)
  The es5-shim library monkey-patches a JavaScript context to contain

=== debian/tests/control ===
Tests: require
Depends: node-es5-shim

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts=\
 dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
 filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-es5-shim-$1.tar.gz/ \

## node-es5-shim 4.5.14

=== debian/changelog ===
node-es5-shim (4.5.14-2) unstable; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Julien Puydt ]
  * Declare d/rules doesn't require root.
  * Declare the import autopkgtest as superficial.
  * Bump dh compat to 13.
  * Refresh lintian overrides.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 10 Nov 2020 06:30:24 +0100

node-es5-shim (4.5.14-1) unstable; urgency=medium

  * New upstream release.
  * Install to /usr/share instead of /usr/lib.
  * Ship the changelog.
  * Bump std-ver to 4.5.0.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 12 Apr 2020 10:46:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
-Build-Depends: debhelper-compat (= 12), nodejs, uglifyjs
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13), nodejs, uglifyjs
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/es-shims/es5-shim/
 Vcs-Git: https://salsa.debian.org/js-team/node-es5-shim.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-es5-shim

## node-es5-shim 4.5.15

=== debian/changelog ===
node-es5-shim (4.5.15-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.5.15.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 09 Jan 2021 09:42:48 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
-Build-Depends: debhelper-compat (= 13), nodejs, uglifyjs
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 12), nodejs, uglifyjs
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/es-shims/es5-shim/
 Vcs-Git: https://salsa.debian.org/js-team/node-es5-shim.git

## node-es5-shim 4.6.4

=== debian/changelog ===
node-es5-shim (4.6.4-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 22 Dec 2021 10:12:21 +0100

node-es5-shim (4.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 05 Sep 2021 08:35:01 +0200

node-es5-shim (4.5.15-2) unstable; urgency=medium

  * Fix d/watch.
  * Bump std-vers to 4.6.0.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Aug 2021 15:15:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
-Build-Depends: debhelper-compat (= 12), nodejs, uglifyjs
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), nodejs, uglifyjs
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/es-shims/es5-shim/
 Vcs-Git: https://salsa.debian.org/js-team/node-es5-shim.git

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,6 @@
 override_dh_auto_test:
 
 override_dh_auto_install:
+
+override_dh_changelogs:
+	dh_installchangelogs CHANGELOG.md

=== debian/tests/control ===
Tests: require
Restrictions: superficial
Depends: node-es5-shim

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-es5-shim-$1.tar.gz/ \
 https://github.com/es-shims/es5-shim/tags .*/v?([\d\.]+).tar.gz

## node-es5-shim 4.6.7

=== debian/changelog ===
node-es5-shim (4.6.7-2) unstable; urgency=medium

  * Team upload
  * Fix filenamemangle
  * Drop __proto__ calls

 -- Yadd <yadd@debian.org>  Wed, 21 Sep 2022 15:45:52 +0200

node-es5-shim (4.6.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 14 May 2022 20:22:53 +0200

node-es5-shim (4.6.6-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 01 May 2022 21:46:17 +0200

node-es5-shim (4.6.5-1) unstable; urgency=medium

  * New upstream release.
  * Annotate node-es5-shim's nodejs dep with :any.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 20 Apr 2022 13:06:00 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Build-Depends: debhelper-compat (= 13), nodejs, uglifyjs
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/es-shims/es5-shim/
 Vcs-Git: https://salsa.debian.org/js-team/node-es5-shim.git
@@ -13,7 +13,7 @@
 Package: node-es5-shim
 Architecture: all
 Multi-Arch: foreign
-Depends: nodejs, ${misc:Depends}, libjs-es5-shim (= ${binary:Version})
+Depends: nodejs:any, ${misc:Depends}, libjs-es5-shim (= ${binary:Version})
 Description: ECMAScript 5 compatibility shims for old JavaScript engines (Node.js)
  The es5-shim library monkey-patches a JavaScript context to contain
  all ECMAScript 5 methods that can be faithfully emulated with a

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-es5-shim-$1/ \
 https://github.com/es-shims/es5-shim/tags .*/v?([\d\.]+).tar.gz
